Bug 330781 - DVB-T USB Stick does not work anymore
DVB-T USB Stick does not work anymore
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-13 13:14 EDT by Martin Jürgens
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-14 12:33:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Jürgens 2007-10-13 13:14:23 EDT
Description of problem:
My DVB-T USB Stick by Freecom does not work anymore, but I remember it working
with an earlier release of the 2.6.22 kernel. Newer versions of version 2.6.22
and the 2.6.23 kernel do not work anymore. When I scan for channels, scandvb
does not find any. Using my laptop with a VIA chipset and the same kernel, it
works flawlessly. That's why I think it may be USB related. I have an other PC
running Ubuntu Gutsy with 2.6.22 kernel and the same chipset (Nforce), and the
same issue appears there.

Dmesg output follows:

usb 2-1: new high speed USB device using ehci_hcd and address 5
usb 1-1: new full speed USB device using ohci_hcd and address 5
usb 1-1: not running at top speed; connect to a high speed hub
usb 1-1: configuration #1 chosen from 1 choice
dvb-usb: found a 'WideView WT-220U PenType Receiver (Typhoon/Freecom)' in warm
state.
dvb-usb: will use the device's hardware PID filter (table count: 15).
DVB: registering new adapter (WideView WT-220U PenType Receiver (Typhoon/Freecom))
DVB: registering frontend 0 (WideView USB DVB-T)...
input: IR-receiver inside an USB DVB receiver as /class/input/input5
dvb-usb: schedule remote query interval to 300 msecs.
dvb-usb: WideView WT-220U PenType Receiver (Typhoon/Freecom) successfully
initialized and connected.
dvb-usb: recv bulk message failed: -110


How reproducible:
Every time.

Steps to Reproduce:
1. Plug it in
2. Run scandvb de-Ruhrgebiet
  
Actual results:
It does not find any channels.

Expected results:
It should show the channels like my VIA chipset based machine does.

Additional info:
As I think it may be important which chipset my computer has, the smolt profile
is available here:
http://smolt.fedoraproject.org/show?UUID=c843173f-61b8-4bbd-a9ca-624f2f842cb7

ehci_hcd is loaded:

lsmod | grep ehci_hcd
ehci_hcd               31565  0
Comment 1 Martin Jürgens 2007-10-14 12:33:06 EDT
i switched the usb port.. and now it works..

Note You need to log in before you can comment on or make changes to this bug.